<?php
//===========================================
//Версия
$version = "1.1.2";

//===========================================
//Подключение к базе данных

$db_host = 'localhost';
$db_login = '';
$db_passwd = '';
$db_database = '';

//===========================================
//Таблицы в базе данных

$name_table_users = 'sender_users';//Таблица для хранения пользователей

$dir_project = '/register_demo/sender';

//===========================================

$Company = 'SendManagers';
$Registration_bot_name = 'SendManagerBot';//Имя бота через которого будет получен код для регистрации

//===========================================
//Языки и шрифты

$lng_default = 'rus';//Язык по умолчанию. список языков в /locale/locale_utils.php
$fonts_local = false;//Использовать локальную блиблиотеку иконок или грузить с сайта fontawesome.com (в случае если false папку fonts можно удалить)
$modules_navbar_icons = true;//Видны ли иконки разделов в навигационной панели

//===========================================
//Модули (Разделы)

$modules = array();

	$add = array();//Стартовый модуль если юзер еще не залогинился
	$add['name'] = 'main';//Обязательный. Имя модуля. Под него должна быть папка
	$add['icon'] = 'fa-home';
	
$modules[] = $add;	

	$add = array();//Модуль если название модуля передали, но молуль не нашли
	$add['name'] = '404';
	$add['icon'] = 'fa-bell';
	
$modules[] = $add;	

	$add = array();//Модуль если ошибка доступа к модулю
	$add['name'] = '401';
	$add['icon'] = 'fa-bell';
	
$modules[] = $add;	

	$add = array();
	$add['name'] = 'registration';//Обязательный.
	$add['icon'] = 'fa-user-plus';
	
$modules[] = $add;

	$add = array();
	$add['name'] = 'admin';//Обязательный.
	$add['icon'] = 'fa-cog';
	
$modules[] = $add;	

	$add = array();
	$add['name'] = 'tasks';
	$add['icon'] = 'fa-tasks';
	
$modules[] = $add;	

	$add = array();
	$add['name'] = 'managers';
	$add['icon'] = 'fa-users';
	
$modules[] = $add;	

	$add = array();
	$add['name'] = 'demo';
	$add['icon'] = 'fa-meh';
	
$modules[] = $add;	

	$add = array();
	$add['name'] = 'remind';
	$add['icon'] = 'fa-bell';
	
$modules[] = $add;	

//===========================================
//Статусы пользователей и кому какие модули (Разделы) видны и доступны

$modules_list = array();

	$add = array();
	$add['status'] = '';
	$add['modules_access'] = array("main", "registration", "404", "401", "remind");//array("main", "404", "registration");//Список разделов которые можно при данном статусе открыть (вручную, например или по ссылке)
	$add['modules_view'] = array("registration", "remind");//Список разделов которые видно в меню
	$add['base_module'] = 'main';//Стартовый модуль для незалогиненого пользователя
	
$modules_list[] = $add;

	$add = array();
	$add['status'] = 'root';
	$add['modules_access'] = getModulesList();//Доступны все модули
	$add['modules_view'] = getModulesList(array("main", "registration", "remind", "404", "401"));//Видны все модули кроме перечисленных в аргументе
	$add['base_module'] = 'admin';//Стартовый модуль для администратора типа root
	
	//print_r($add['modules_view']);
	
$modules_list[] = $add;

	$add = array();
	$add['status'] = 'admin';
	$add['modules_access'] = getModulesList();//Доступны все модули
	$add['modules_view'] = getModulesList(array("main", "registration", "remind", "404", "401"));//Видны все модули кроме перечисленных в аргументе
	$add['base_module'] = 'admin';//Стартовый модуль для администратора типа root
	
$modules_list[] = $add;

	$add = array();
	$add['status'] = 'user';
	$add['modules_access'] = array("main", "404", "401", "managers", "tasks");
	$add['modules_view'] = array("managers", "tasks");
	$add['base_module'] = 'managers';//Стартовый модуль для пользователей
	
$modules_list[] = $add;

	$add = array();
	$add['status'] = 'tester';
	$add['modules_access'] = array("main", "404", "401", "demo");
	$add['modules_view'] = array("404", "demo");
	$add['base_module'] = 'demo';//Стартовый модуль для теста
	
$modules_list[] = $add;
	
function getModulesList($exeptions = array())
{
	global $modules;	
	
	$return_list = array();
	
	$count_exeptions = count($exeptions);
	
	$count_modules = count($modules);
	
	for($k = 0; $k < $count_modules; $k++)
	{
		$add = true;
		
		for($e = 0; $e < $count_exeptions; $e++)
		{
			if($modules[$k]['name'] == $exeptions[$e])
				$add = false;
			
		}
		
		if($add)
			$return_list[] = $modules[$k]['name'];
		
	}	

	
	return $return_list;
}	
	
//===========================================
?>
